class GetCountryModel {
  int? statusCode;
  List<Data>? data;
  String? message;
  bool? success;

  GetCountryModel({this.statusCode, this.data, this.message, this.success});

  GetCountryModel.fromJson(Map<String, dynamic> json) {
    statusCode = json['statusCode'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(Data.fromJson(v));
      });
    }
    message = json['message'];
    success = json['success'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['statusCode'] = statusCode;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    data['message'] = message;
    data['success'] = success;
    return data;
  }
}

class Data {
  int? id;
  String? countryName;
  String? countryCode;
  String? iSDcode;
  String? flagIcon;
  int? maxDigits;
  int? currencyXid;
  bool? isActive;
  Null createdBy;
  Null modifiedBy;
  String? createdAt;
  String? updatedAt;
  Null deletedAt;

  Data(
      {this.id,
      this.countryName,
      this.countryCode,
      this.iSDcode,
      this.flagIcon,
      this.maxDigits,
      this.currencyXid,
      this.isActive,
      this.createdBy,
      this.modifiedBy,
      this.createdAt,
      this.updatedAt,
      this.deletedAt});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    countryName = json['countryName'];
    countryCode = json['countryCode'];
    iSDcode = json['ISDcode'];
    flagIcon = json['flagIcon'];
    maxDigits = json['maxDigits'];
    currencyXid = json['currency_xid'];
    isActive = json['isActive'];
    createdBy = json['createdBy'];
    modifiedBy = json['modifiedBy'];
    createdAt = json['createdAt'];
    updatedAt = json['updatedAt'];
    deletedAt = json['deletedAt'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['countryName'] = countryName;
    data['countryCode'] = countryCode;
    data['ISDcode'] = iSDcode;
    data['flagIcon'] = flagIcon;
    data['maxDigits'] = maxDigits;
    data['currency_xid'] = currencyXid;
    data['isActive'] = isActive;
    data['createdBy'] = createdBy;
    data['modifiedBy'] = modifiedBy;
    data['createdAt'] = createdAt;
    data['updatedAt'] = updatedAt;
    data['deletedAt'] = deletedAt;
    return data;
  }
}
